package com.ruoyi.system.domain.project;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 项目入规
(跟项目一对一)对象 bm_construction_entry
 * 
 * @author ruoyi
 * @date 2021-12-20
 */
public class BmConstructionEntry extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 项目施工id* */
    private Long id;

    /** 项目id* */
    @Excel(name = "项目id*")
    private Long bmProjectId;

    /** 是否删除(0未删除、1已删除)* */
    @Excel(name = "是否删除(0未删除、1已删除)*")
    private Long isDel;

    /** 入规时间* */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "入规时间*", width = 30, dateFormat = "yyyy-MM-dd")
    private Date statisticsDate;

    /** 入规截图* */
    @Excel(name = "入规截图*")
    private String statisticsPhoto;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setBmProjectId(Long bmProjectId) 
    {
        this.bmProjectId = bmProjectId;
    }

    public Long getBmProjectId() 
    {
        return bmProjectId;
    }

    public void setStatisticsDate(Date statisticsDate) 
    {
        this.statisticsDate = statisticsDate;
    }

    public Date getStatisticsDate() 
    {
        return statisticsDate;
    }
    public void setStatisticsPhoto(String statisticsPhoto) 
    {
        this.statisticsPhoto = statisticsPhoto;
    }

    public String getStatisticsPhoto() 
    {
        return statisticsPhoto;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("bmProjectId", getBmProjectId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("isDel", getIsDel())
            .append("statisticsDate", getStatisticsDate())
            .append("statisticsPhoto", getStatisticsPhoto())
            .toString();
    }
}
